For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a phone book
      • GETList phone books
      • DELDelete a phone book
      • POSTCreate a phone book entry
      • DELDelete a phone book entry
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Books

Create a phone book

||View as Markdown|
POST
/phonebooks
POST
/v2/phonebooks
$curl -X POST https://api.synthflow.ai/v2/phonebooks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Sales Team Contacts"
>}'
200Successful
1{
2 "status": "ok",
3 "response": {
4 "key": "a19da8ff-c89e-4628-94b6-d81193f883c6"
5 }
6}
Was this page helpful?
Previous

List phone books

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Phone book name.

Response

200
statusstring
Whether the request was successful.
responseobject